MsWksGraph::SendData Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
MsWksGraph::SendData Struct Reference

small struct used which picture need to be send More...

`#include <MsWksGraph.hxx>`

## Public Types
enum | Type { RBDR, RBIL, ALL }
| the type More...

## Public Member Functions
| SendData ()
| constructor More...

## Public Attributes
enum MsWksGraph::SendData::Type | m_type
int | m_id
| the rbil id More...
MWAWPosition::AnchorTo | m_anchor
| the anchor More...
int | m_page
| the page ( used if anchor==page) More...
MWAWVec2i | m_size
| the size of the data ( used by rbil ) More...

## Detailed Description

small struct used which picture need to be send

## Member Enumeration Documentation

## ◆ Type

enum MsWksGraph::SendData::Type

the type

Enumerator
RBDR |
RBIL |
ALL |

## Constructor & Destructor Documentation

## ◆ SendData()

MsWksGraph::SendData::SendData | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_anchor

MWAWPosition::AnchorTo MsWksGraph::SendData::m_anchor

the anchor

Referenced by MsWksDRParser::newPage(), MsWks4Zone::newPage(), MsWksGraphInternal::SubDocument::parse(), MsWks4Zone::readContentZones(), MsWksGraph::sendObjects(), and MsWksDocument::sendRBIL().

## ◆ m_id

int MsWksGraph::SendData::m_id

the rbil id

Referenced by MsWksDRParser::newPage(), MsWksGraphInternal::SubDocument::parse(), MsWksGraph::sendObjects(), and MsWksDocument::sendRBIL().

## ◆ m_page

int MsWksGraph::SendData::m_page

the page ( used if anchor==page)

Referenced by MsWksDRParser::newPage(), MsWks4Zone::newPage(), MsWks4Zone::readContentZones(), and MsWksGraph::sendObjects().

## ◆ m_size

MWAWVec2i MsWksGraph::SendData::m_size

the size of the data ( used by rbil )

Referenced by MsWksGraph::sendObjects(), and MsWksDocument::sendRBIL().

## ◆ m_type

enum MsWksGraph::SendData::Type MsWksGraph::SendData::m_type

Referenced by MsWksDRParser::newPage(), MsWks4Zone::newPage(), MsWksGraphInternal::SubDocument::parse(), MsWks4Zone::readContentZones(), MsWksGraph::sendObjects(), and MsWksDocument::sendRBIL().

The documentation for this struct was generated from the following file:

- MsWksGraph.hxx